Page MenuHomePhabricator

Change the Chinese Wikipedia logo
Closed, InvalidPublic

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptApr 6 2018, 2:55 AM
Krinkle renamed this task from Change the Chinese WIkipedia Logo to Change the Chinese WIkipedia logo.Apr 6 2018, 3:00 AM
1233thehongkonger closed this task as Resolved.Apr 6 2018, 3:17 AM
Cosine02 reopened this task as Open.Apr 6 2018, 3:23 AM

Per discussion at IRC, re-open.

Wong128hk added a subscriber: Wong128hk.
Cwek added a subscriber: Cwek.Apr 6 2018, 8:48 AM

Does it need to hold on until The created of one Million article?

Wang_Qiliang added a comment.EditedApr 6 2018, 9:11 AM

@Cwek Maybe. However, I think, if we hold it on until the creation of one Million article, would it be too late?

My understanding is that you could temporary change the logo change via CSS yourself, similar to https://phabricator.wikimedia.org/T186455 in https://cs.wikipedia.org/w/index.php?title=MediaWiki%3ACommon.css&type=revision&diff=15844030&oldid=15540856

So this might not need a code change in Gerrit.

@Cwek Maybe. However, I think, if we hold it on until The created of one Million article, would it be too late?

Because SWAT has deploy windows, patch cannot be deployed in time. The delay is likely to be between hours and days.

Cwek added a comment.Apr 6 2018, 11:07 AM

The logo file can be set only one, it can't be changed by the language of interface. Only CSS Hacking is the solution.

The logo file can be set only one, it can't be changed by the language of interface. Only CSS Hacking is the solution.

maybe we need to change Common.js locally.

RanD added a subscriber: RanD.Apr 6 2018, 3:05 PM

These two versions should be the logo used:
for zh-hans, zh-cn, and zh-sg (chinese - simplified)
https://commons.wikimedia.org/wiki/File:Margined_-_Chinese_wikipedia_1M_logo_-_%E7%87%83%E7%81%AFver.svg
for the rest, please use this version (chinese traditional)
https://commons.wikimedia.org/wiki/File:Margined_-_Chinese_wikipedia_1M_logo_-_%E7%87%83%E7%81%AFver_trad_-_CelPhi.svg

The reason behind this is that these two are "margined", and align better with the current logo slot. Since this milestone logo is slightly taller, we need to pull the side nav bar down by 20px for all the skins that has a logo.

Check out this tool I wrote for all the css that needs to be changed. Applicable for all the user languages and skins.

These two versions should be the logo used:
for zh-hans, zh-cn, and zh-sg (chinese - simplified)
https://commons.wikimedia.org/wiki/File:Margined_-_Chinese_wikipedia_1M_logo_-_%E7%87%83%E7%81%AFver.svg
for the rest, please use this version (chinese traditional)
https://commons.wikimedia.org/wiki/File:Margined_-_Chinese_wikipedia_1M_logo_-_%E7%87%83%E7%81%AFver_trad_-_CelPhi.svg
The reason behind this is that these two are "margined", and align better with the current logo slot. Since this milestone logo is slightly taller, we need to pull the side nav bar down by 20px for all the skins that has a logo.
Check out this tool I wrote for all the css that needs to be changed. Applicable for all the user languages and skins.

the problem of margin should and COULD be solved locally.

1233thehongkonger renamed this task from Change the Chinese WIkipedia logo to Change the Chinese Wikipedia logo.Apr 8 2018, 2:35 AM
Shizhao added a subscriber: Shizhao.Apr 8 2018, 3:28 AM

This only needs css hack, add "百万条目" text

RazeSoldier closed this task as Invalid.Apr 8 2018, 5:47 AM

Please reopen it, if you still want to continue requesting changes to the site configuration.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 8 2018, 5:47 AM
lisong added a subscriber: lisong.Apr 11 2018, 2:24 AM

This only needs css hack, add "百万条目" text

Please note that there is one more piece of puzzle on the globe. You will still need to change the image file, adding text is not enough.